@import '../../assets/scss/Variables';

$zIndexBase: 1;
$zIndexOther: 10;
$zIndexTopBar: 30;


div.HomePage {
  flex-grow: 1;
  box-sizing: border-box;
  background-color: $background2;
  border-radius: 8px;
  overflow: hidden;
  position: relative;

  div.PageTopBar {
    z-index: $zIndexTopBar;
  }
  
  div.greetings-section {
    position: relative;
    transition: all $transitionDuration ease;
    padding: 60px 24px 36px 24px;
    // background: linear-gradient(180deg, rgba(#183164,1) 8%, rgba($background2,0.8995973389355743) 100%);
    
    div.greeting {
      font-weight: 700;
      z-index: $zIndexOther;
    }

    div.playlists {
      z-index: $zIndexOther;
    }

    div.fake-gradient {
      position: absolute;
      bottom: 0px;
      left: 0px;
      height: 100%;
      width: 100%;
      z-index: $zIndexBase;
      background: linear-gradient(180deg, rgba(18,18,18,0.38699229691876746) 0%, rgba(18,18,18,1) 95%);
    }
  }

  div.page-content {
    padding: 24px;
  }
}